## org.openmuc.jasn1.ber.types
Class BerOctetString

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerOctetString

Direct Known Subclasses:
  BerBMPString, BerGeneralizedTime, BerGeneralString, BerGraphicString, BerIA5String, BerNumericString, BerPrintableString, BerTeletexString, BerUniversalString, BerUTF8String, BerVideotexString, BerVisibleString

    public class BerOctetString

extends java.lang.Object

Field Summary
`protected BerIdentifier` `id`
`static BerIdentifier` `identifier`
`byte[]` `octetString`

Constructor Summary
`BerOctetString()`
`BerOctetString(byte[] octetString)`

Method Summary
`int` `decode(java.io.InputStream iStream, boolean explicit)`
`int` `encode(BerByteArrayOutputStream berOStream, boolean explicit)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

### id

    protected BerIdentifier id

### octetString

    public byte[] octetString

Constructor Detail

### BerOctetString

    public BerOctetString()

### BerOctetString

    public BerOctetString(byte[] octetString)

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`